## NAME

t.rast.univar - Calculates univariate statistics from the non-null cells for each registered raster map of a space time raster dataset.

## KEYWORDS

temporal, statistics, raster, time, parallel

## SYNOPSIS

t.rast.univar
t.rast.univar --help
t.rast.univar [-eru] input=name [zones=name] [nprocs=integer] [output=name] [where=sql_query] [separator=character] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-e
  Calculate extended statistics
-r
  Ignore the current region settings and use the raster map regions for univar statistical calculation
-u
  Suppress printing of column names
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time raster dataset
zones=name
  Raster map used for zoning, must be of type CELL
nprocs=integer
  Number of threads for parallel computing
  Default: 1
output=name
  Name for output file
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
separator=character
  Field separator character between the output columns
  Special characters: pipe, comma, space, tab, newline
  Default: pipe

## DESCRIPTION

t.rast.univar calculates univariate statistics from the non-null cells for each registered raster map of a space time raster dataset.

By default it returns the name of the map, the start and end date of dataset and the following values: mean, minimum and maximum vale, mean_of_abs, standard deviation, variance, coeff_var, number of null cells, total number of cells.

Using the e flag it can calculate also extended statistics: first quartile, median value, third quartile and percentile 90.

If a zones raster map is provided, statistics are computed for each zone (category) in that input raster map. The zones option does not support Spatio-Temporal-Raster-Datasets (STRDS) but only a single, static raster map.

## EXAMPLE

Obtain the univariate statistics for the raster space time dataset "tempmean_monthly" (precision reduced to 2 decimals in this example):

    t.rast.univar -e tempmean_monthly
    id|start|end|mean|min|max|mean_of_abs|stddev|variance|coeff_var|sum|null_cells|cells|first_quartile|median|third_quartile|percentile_90
    2009_01_tempmean@climate_2009_2012|2009-01-01 00:00:00|2009-02-01 00:00:00|3.90|-3.38|7.43|3.95|1.79|3.20|45.91|1977967.31|503233|1010600|2.80|3.92|5.21|6.23
    2009_02_tempmean@climate_2009_2012|2009-02-01 00:00:00|2009-03-01 00:00:00|5.91|-1.82|8.01|5.92|1.63|2.65|27.53|2999555.60|503233|1010600|5.44|6.26|7.07|7.48
    ...
    2012_11_tempmean@climate_2009_2012|2012-11-01 00:00:00|2012-12-01 00:00:00|8.03|1.79|10.91|8.03|1.32|1.73|16.41|4072472.77|503233|1010600|7.49|8.13|8.96|9.48
    2012_12_tempmean@climate_2009_2012|2012-12-01 00:00:00|2013-01-01 00:00:00|8.71|1.76|11.98|8.71|1.72|2.95|19.74|4418403.77|503233|1010600|7.84|8.95|9.99|10.67

## SEE ALSO

t.create, t.info t.create,

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture Stefan Blumentrath, (Support for zones)

## SOURCE CODE

Available at: t.rast.univar source code (history)

Accessed: Wednesday Apr 10 11:18:24 2024

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.2 Reference Manual